Skip to Main Content Skip to Search
Accelerating the pace of engineering and science

 

System Requirements - Release 12

Choose your Operating System

Unix/Linux

General

  • CD-ROM drive (for installation)
  • Netscape Navigator 4.0 and above or Microsoft Internet Explorer 4.0 and above is required.
  • Adobe Acrobat Reader 3.0 is required to view and print the MATLAB online documentation in PDF format.
  • Some license types require a license server running FLEXlm 6.1, which is provided by the MathWorks installer.
  • TCP/IP is required on all platforms when using a license server.

UNIX/Linux Specific

  • 90 MB free disk space for MATLAB only (215 MB to include MATLAB online help files)
  • 64 MB RAM, 128 MB RAM recommended
  • 64 MB swap space (recommended)
  • For Linux, MATLAB 6.0 will only run in a glibc (libc6) environment. The libc5 environment is no longer supported.
Vendor Hardware O/S Version
Sun SPARC, ULTRA Solaris 2.6, 2.7, 2.8
HP PA-RISC 1.1 HP-UX 10.20
HP PA-RISC 2.0 HP-UX 11.0
SGI R5000, R8000, R10000, R12000 IRIX, IRIX 64 6.5.8 through 6.5.12
IBM RS/6000 AIX 4.3.3, 5.1
Compaq Alpha Tru64 UNIX 4.0f (minimum), 5.0, 5.1
Linux Pentium, Pentium Pro, II, III, IV*, AMD Athlon ix86 - Linux 2.2.x, 2.4.x** kernel

Compiler vendors are constantly upgrading their products. View for an up-to-date list of supported compiler versions.

Requirements are for all MathWorks Products except the MATLAB Student Version

*
Pentium IV supported under R12.1
** Linux 2.4 kernel support under 12.1